private ["_type", "_unit", "_fnc_BUMaddweapons", "_fnc_BUMaddmagazines", "_magazines", "_fnc_BUMCheckAddBackpack","_fnc_BUMaddMedicalSupplies"];

//["MG",this] call compile preprocessFileLineNumbers "AAFgear.sqf"; Kutsu näin

_type = _this select 0;
_unit = _this select 1;

if (!(local _unit)) exitwith {}; // Todella tärkeä. Estää skriptin pyörimisen ei locaaleilla uniteilla


if (_unit isKindof "Man") then
{
	removeUniform _unit;
	removeVest _unit;
	removeBackpack _unit;
	removeHeadgear _unit;
	removeAllWeapons _unit;
	//_unit removeweapon "itemradio";
	_unit removeweapon "ItemGPS";
	_unit addweapon "ACE_NVG_Gen4";
	_unit additem "ACE_EarPlugs";
	_unit additem "Chemlight_Green";
	_unit additem "Chemlight_Green";
	removeGoggles _unit;
	_unit linkItem "tf_microdagr";
	_unit removeweapon "ACE_NVG_Gen4";
};



if (_unit isKindof "LandVehicle" || _unit isKindof "Air" || _unit isKindOf "Ship" || _unit isKindOf "Static") then
{
	clearWeaponCargoglobal _unit;
	clearItemCargoGlobal _unit;
	clearMagazineCargoglobal _unit;
	clearBackpackCargoglobal _unit;
	_unit disableTIEquipment true;
	_unit setVariable ["tf_side", "guer", true];
	_unit setVehicleLock "UNLOCKED";
	_unit setVariable ["AFI_vehicle_gear","guer",true];
};

if (_unit isKindOf "thing") then
{
    _unit setVariable ["AFI_vehicle_gear","guer",true];
};

_fnc_BUMaddweapons = {

	//Adds weapons from list
	//Params [unit,[ListOfWeapons] call _fnc_BUMaddweapons;

	private ["_items", "_unit"];
	_unit = _this select 0;
	_items = _this select 1;
	{_unit addweapon _x;} Foreach _items;
};

_fnc_BUMaddmagazines = {

	//Adds list of magazines
	//Params [unit,[[MagazineClassname,count],[MagazineClassname,count],...]] call _fnc_BUMaddmagazines;

	private ["_item", "_unit", "_elements", "_count"];
	_unit = _this select 0;
	_elements = _this select 1;
	{
		_item = _x select 0;
		_count = _x select 1;
		_unit addmagazines [_item,_count];
	} Foreach _elements;
};

_fnc_BUMCheckAddBackpack = {

	//Run before adding rockets, adds an Backpack if Unit does not have one already
	//Params [unit,"BackpackClassName"] call _fnc_BUMCheckAddBackpack;

	private ["_PackToAdd", "_unit"];
	_unit = _this select 0;
	_PackToAdd = _this select 1;

	If (Backpack _unit == "") then {_unit addbackpack _PackToAdd};

};

_fnc_BUMaddMedicalSupplies = {

	//Add Xmedsys Medical supplies
	//Params [unit, mode] call _fnc_BUMaddMedicalSupplies;
	//mode can be "Soldier","Soldier","medic"
	//medic must have backpack

	private ["_mode", "_unit", "_supplies"];
	_unit = _this select 0;
	_mode = _this select 1;

	Switch (_mode) do {

		case "Soldier":
		{
			_supplies = [["ACE_fieldDressing",6],["ACE_morphine",2]];

			{
				_item = _x select 0;
				_count = _x select  1;

				for "_i" from 1 to _count do {_unit additem _item};
			} Foreach _supplies;
		};


		case "medic":
		{
			_supplies = [["ACE_fieldDressing",20],["ACE_morphine",10],["ACE_bloodIV_500",4],["ACE_epinephrine",5]];

			{
				_item = _x select 0;
				_count = _x select 1;

				for "_i" from 1 to _count do {_unit additem _item};
			} Foreach _supplies;
		};
	};
};


_fnc_BUMchangeClothes = {

	//Params [unit, mode] call _fnc_BUMchangeClothes;
	_unit = _this select 0;
	_reppu = _this select 1;
	_tykki = _this select 2;

	removeUniform _unit;
	removeVest _unit;
	removeBackpack _unit;
	removeHeadgear _unit;
	removeGoggles _unit;


_kukkahattu = ["H_Bandanna_gry","H_Bandanna_blu","H_Bandanna_cbr","H_Bandanna_khk","H_Bandanna_mcamo","H_Bandanna_sgg","H_Bandanna_sand","H_Bandanna_surfer","H_Bandanna_surfer_blk","H_Bandanna_surfer_grn","H_Bandanna_camo","rhs_beanie_green","rhs_beanie","MNP_Helmet_PAGST_UN","H_Beret_blk","rhs_Booniehat_digi","rhs_Booniehat_flora","H_Booniehat_khk","H_Booniehat_mcamo","H_Booniehat_oli","H_Booniehat_tan","H_Booniehat_dgtl","rhs_Booniehat_m81","rhs_Booniehat_marpatd","rhs_Booniehat_marpatwd","rhs_Booniehat_ocp","rhs_Booniehat_ucp","H_Cap_grn_BI","H_Cap_surfer","H_Hat_blue","H_Hat_brown","H_Hat_camo","","",""]call bis_fnc_selectRandom;

_hattu = ["1","2","3","",""] call bis_fnc_selectRandom;

//hattu
	switch (_hattu) do {

	    case "1": {
			_huppu = ["H_ShemagOpen_khk","H_ShemagOpen_tan","H_Shemag_olive"]call bis_fnc_selectRandom;
			_unit addHeadgear _huppu;
	    };

	    case "2": {
			_naamio = ["G_Balaclava_blk","G_Balaclava_oli"]call bis_fnc_selectRandom;
			_unit addGoggles _naamio;
	    };

	    case "3": {
		_unit addHeadgear _kukkahattu;
	    };


	    default {
			_Goggles = ["G_Aviator","G_Bandanna_aviator","G_Bandanna_beast","G_Bandanna_blk","G_Bandanna_khk","G_Bandanna_khk","G_Bandanna_shades","G_Bandanna_sport","G_Bandanna_tan","G_Spectacles_Tinted","G_Squares","G_Spectacles"]call bis_fnc_selectRandom;
			_unit addGoggles _Goggles;
			_unit addHeadgear _kukkahattu;
	    };
	};


//puku & liivi
_uniform = ["usm_bdu_w","U_I_G_resistanceLeader_F","U_BG_Guerrilla_6_1","U_BG_Guerilla1_1","U_BG_leader","MNP_CombatUniform_ASA_GC_B","MNP_CombatUniform_ASA_GC2","MNP_CombatUniform_ASA_GC","MNP_CombatUniform_NKR_Sh","MNP_CombatUniform_OD_Sh","MNP_CombatUniform_Militia_C","MNP_CombatUniform_Militia_E","MNP_CombatUniform_Rebel_A"] call bis_fnc_selectRandom;
_unit forceAddUniform _uniform;

	_liivi = ["V_HarnessOGL_brn","V_HarnessOGL_gry","V_HarnessO_brn","MNP_Vest_6co_B","MNP_Vest_Light_DPM_D","MNP_V_HarnessO_brn_Arm","MNP_V_HarnessO_brn_GL","V_BandollierB_cbr","V_BandollierB_khk","V_TacVest_brn","V_TacVest_khk","rhs_vydra_3m"] call BIS_fnc_selectRandom;
	_unit addVest _liivi;



//repun valinta
		switch (_reppu) do {

	    case "sl": {
			[_unit, "tf_anprc155_coyote"] call _fnc_BUMCheckAddBackpack;
	    };

	    case "rpg": {
			[_unit, "rhs_rpg_empty"] call _fnc_BUMCheckAddBackpack;
	    };

	    case "exp": {
			[_unit, "MNP_B_Carryall_PLA_Basic_D"] call _fnc_BUMCheckAddBackpack;
	    };

	    default
	    {
			_Rreppu = ["B_FieldPack_blk","B_FieldPack_cbr","B_FieldPack_ocamo","B_FieldPack_khk","B_FieldPack_oli","B_FieldPack_oucamo","rhs_rpg_empty","rhs_sidor"] call bis_fnc_selectRandom;
			[_unit, _Rreppu] call _fnc_BUMCheckAddBackpack;
	    };
	};



_tyyppi = ["1",""] call bis_fnc_selectRandom;
_tyyppi1 = ["1","2",""] call bis_fnc_selectRandom;
_tyyppi2 = ["1","1","1","2","2","2","3","4","","",""] call bis_fnc_selectRandom;
//aseen valinta
		switch (_tykki) do {

	    case "gl": {
    	if (_tyyppi == "1") then
	    	{
	    		_GL = ["rhs_weap_akm_gp25","rhs_weap_akms_gp25"] call BIS_fnc_selectRandom;
				_items = [_GL];
				_magazines = [["rhs_30Rnd_762x39mm_89",7],["rhs_VOG25P",4],["rhs_VOG25",4],["rhs_GRD40_White",6],["rhs_VG40TB",2]];
				[_unit, _magazines] Call _fnc_BUMaddmagazines;
				[_unit, _items] Call _fnc_BUMaddweapons;
	    	}
	    	else
	    	{
				_GL = ["rhs_weap_m16a4_carryhandle_M203","rhs_weap_m4a1_carryhandle_m203","rhs_weap_m4a1_carryhandle_m203S"] call BIS_fnc_selectRandom;
				_items = [_GL];
				_magazines = [["rhs_mag_30Rnd_556x45_M855A1_Stanag",7],["rhs_mag_M433_HEDP",4],["rhs_mag_M441_HE",4],["1Rnd_Smoke_Grenade_shell",10]];
				[_unit, _magazines] Call _fnc_BUMaddmagazines;
				[_unit, _items] Call _fnc_BUMaddweapons;
	   		 };
	    };

	    case "crew": {
	    	_swd = ["rhs_weap_aks74u"] call BIS_fnc_selectRandom;
			_items = [_swd];
			_magazines = [["rhs_30Rnd_545x39_AK",5]];
			[_unit, _magazines] Call _fnc_BUMaddmagazines;
			[_unit, _items] Call _fnc_BUMaddweapons;
	    };

	    case "mar": {
	    	if (_tyyppi1 == "1") then
	    	{
	    		_kanuuna1 = ["rhs_weap_ak104","rhs_weap_ak103","rhs_weap_akm","rhs_weap_akms","rhs_weap_m70ab2","rhs_weap_m70b1","rhs_weap_m92"] call bis_fnc_selectRandom;
				_items = [_kanuuna1];
				_magazines = [["rhs_30Rnd_762x39mm_89",7]];
				[_unit, _magazines] Call _fnc_BUMaddmagazines;
				[_unit, _items] Call _fnc_BUMaddweapons;
				_unit addPrimaryWeaponItem "rhs_acc_pso1m2";
	    	}
	    	else
	    	{
	    		if (_tyyppi1 == "2") then
	    	{
	    		_kanuuna2 = ["rhs_weap_ak105","rhs_weap_ak74m","rhs_weap_ak74m_2mag","rhs_weap_ak74m_2mag_camo","rhs_weap_ak74m_camo","rhs_weap_ak74m_desert","rhs_weap_ak74m_plummag","rhs_weap_ak74m_fullplum"] call bis_fnc_selectRandom;
				_items = [_kanuuna2];
				_magazines = [["rhs_30Rnd_545x39_7N22_AK",7]];
				[_unit, _magazines] Call _fnc_BUMaddmagazines;
				[_unit, _items] Call _fnc_BUMaddweapons;
				_unit addPrimaryWeaponItem "rhs_acc_pso1m2";
	    	}
	    	else
	    	{
				_kanuuna2 = ["rhs_weap_m16a4","rhs_weap_m16a4_carryhandle","rhs_weap_m16a4_carryhandle_grip","rhs_weap_m16a4_carryhandle_grip_pmag","rhs_weap_m16a4_carryhandle_pmag","rhs_weap_m16a4_grip","rhs_weap_m4","rhs_weap_m4_grip2","rhs_weap_m4_carryhandle","rhs_weap_m4_carryhandle_pmag","rhs_weap_m4_grip","rhs_weap_m4a1","rhs_weap_m4a1_grip2","rhs_weap_m4a1_grip","rhs_weap_m4a1_carryhandle","rhs_weap_m4a1_carryhandle_grip2","rhs_weap_m4a1_carryhandle_pmag","rhs_weap_m4a1_carryhandle_grip"] call bis_fnc_selectRandom;
				_items = [_kanuuna2];
				_magazines = [["rhs_mag_30Rnd_556x45_M855A1_Stanag",5]];
				[_unit, _magazines] Call _fnc_BUMaddmagazines;
				[_unit, _items] Call _fnc_BUMaddweapons;
				_unit addPrimaryWeaponItem "optic_SOS";
				_unit addItem "ACE_RangeCard";
	    };
	};
};
	    case "kk": {
	    		_kanuuna2 = ["rhs_weap_pkp","rhs_weap_pkm"] call bis_fnc_selectRandom;
				_items = [_kanuuna2];
				_magazines = [["rhs_100Rnd_762x54mmR",5]];
				[_unit, _magazines] Call _fnc_BUMaddmagazines;
				[_unit, _items] Call _fnc_BUMaddweapons;
		};

	    case "sha": {
	    	_swd = ["rhs_weap_svdp","rhs_weap_svdp_wd","rhs_weap_svds"] call BIS_fnc_selectRandom;
			_items = [_swd];
			_magazines = [["rhs_10Rnd_762x54mmR_7N1",10]];
			[_unit, _magazines] Call _fnc_BUMaddmagazines;
			[_unit, _items] Call _fnc_BUMaddweapons;
			_unit addPrimaryWeaponItem "rhs_acc_pso1m2";
	    };

	    default
	    {
	    	if (_tyyppi2 == "1") then
	    	{
	    		_kanuuna1 = ["rhs_weap_ak104","rhs_weap_ak103","rhs_weap_akm","rhs_weap_akms","rhs_weap_m70ab2","rhs_weap_m70b1","rhs_weap_m92"] call bis_fnc_selectRandom;
				_items = [_kanuuna1];
				_magazines = [["rhs_30Rnd_762x39mm_89",7]];
				[_unit, _magazines] Call _fnc_BUMaddmagazines;
				[_unit, _items] Call _fnc_BUMaddweapons;
	    	}
	    	else
	    	{
		    		if (_tyyppi2 == "2") then
		    	{
					_kanuuna2 = ["rhs_weap_ak105","rhs_weap_ak74m","rhs_weap_ak74m_2mag","rhs_weap_ak74m_2mag_camo","rhs_weap_ak74m_camo","rhs_weap_ak74m_desert","rhs_weap_ak74m_plummag","rhs_weap_ak74m_fullplum","rhs_weap_aks74u","rhs_weap_aks74un"] call bis_fnc_selectRandom;
					_items = [_kanuuna2];
					_magazines = [["rhs_30Rnd_545x39_7N22_AK",7]];
					[_unit, _magazines] Call _fnc_BUMaddmagazines;
					[_unit, _items] Call _fnc_BUMaddweapons;
		    	}
		    	else
		    	{
		    		if (_tyyppi2 == "3") then
		    	{
					_items = ["rhs_weap_kar98k"];
					_magazines = [["rhsgref_5Rnd_792x57_kar98k",10]];
					[_unit, _magazines] Call _fnc_BUMaddmagazines;
					[_unit, _items] Call _fnc_BUMaddweapons;
		    	}
		    	else
		    	{
		    		if (_tyyppi2 == "4") then
		    	{
					_items = ["rhs_weap_m38"];
					_magazines = [["rhsgref_5Rnd_762x54_m38",10]];
					[_unit, _magazines] Call _fnc_BUMaddmagazines;
					[_unit, _items] Call _fnc_BUMaddweapons;
		    	}
		    	else
		    	{
				_kanuuna2 = ["rhs_weap_m4","rhs_weap_m4_carryhandle","rhs_weap_m4_carryhandle_grip","rhs_weap_m4_carryhandle_grip2","rhs_weap_m4_carryhandle_grip3","rhs_weap_m4_carryhandle_mstock","rhs_weap_m4_carryhandle_mstock_grip","rhs_weap_m4_carryhandle_mstock_grip2","rhs_weap_m4_carryhandle_mstock_grip3","rhs_weap_m4_carryhandle_pmag","rhs_weap_m4_carryhandle_pmag_grip","rhs_weap_m4_carryhandle_pmag_grip2","rhs_weap_m4_carryhandle_pmag_grip3","rhs_weap_m4a1_carryhandle","rhs_weap_m4a1_carryhandle_grip","rhs_weap_m4a1_carryhandle_grip2","rhs_weap_m4a1_carryhandle_grip3","rhs_weap_m4a1_carryhandle_mstock","rhs_weap_m4a1_carryhandle_mstock_grip","rhs_weap_m4a1_carryhandle_mstock_grip2","rhs_weap_m4a1_carryhandle_mstock_grip3","rhs_weap_m4a1_carryhandle_pmag","rhs_weap_m4a1_carryhandle_pmag_grip","rhs_weap_m4a1_carryhandle_pmag_grip2","rhs_weap_m4a1_carryhandle_pmag_grip3","rhs_weap_m16a4_carryhandle","rhs_weap_m16a4_carryhandle_grip","rhs_weap_m16a4_carryhandle_grip2","rhs_weap_m16a4_carryhandle_grip2_pmag","rhs_weap_m16a4_carryhandle_grip3","rhs_weap_m16a4_carryhandle_grip3_pmag","rhs_weap_m16a4_carryhandle_grip_pmag","rhs_weap_m16a4_carryhandle_pmag","rhs_weap_hk416d10","rhs_weap_hk416d10_grip","rhs_weap_hk416d10_grip2","rhs_weap_hk416d10_grip3","rhs_weap_hk416d10_LMT","rhs_weap_hk416d10_LMT_grip","rhs_weap_hk416d10_LMT_grip2","rhs_weap_hk416d10_LMT_grip3","rhs_weap_hk416d145","rhs_weap_hk416d145_grip","rhs_weap_hk416d145_grip2","rhs_weap_hk416d145_grip3"] call bis_fnc_selectRandom;
				_items = [_kanuuna2];
				_magazines = [["rhs_mag_30Rnd_556x45_M855A1_Stanag",7]];
				[_unit, _magazines] Call _fnc_BUMaddmagazines;
				[_unit, _items] Call _fnc_BUMaddweapons;
		    	};
	    	};

	    };
	};
};
};
};


switch (_type) do
{
	Case "PL":
	{
		[_unit, "sl","gl"] call _fnc_BUMchangeClothes;
		_items = ["Binocular"];
		_magazines = [];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;

	};

	Case "SL":
	{
		[_unit, "sl","gl"] call _fnc_BUMchangeClothes;
		_items = ["Binocular"];
		_magazines = [];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;

	};

	Case "TL":
	{
		[_unit, "","gl"] call _fnc_BUMchangeClothes;
		_items = ["Binocular"];
		_magazines = [];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;

	};

	Case "MARK":
	{
		[_unit, "","mar"] call _fnc_BUMchangeClothes;
		_items = ["Binocular"];
		_magazines = [];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;

	};

		Case "Crew":
	{
		[_unit, "","crew"] call _fnc_BUMchangeClothes;
		_items = ["Binocular"];
		_magazines = [];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;

	};

		Case "SHAR":
	{
		[_unit, "","sha"] call _fnc_BUMchangeClothes;
		_items = ["Binocular"];
		_magazines = [];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
	};


	Case "KK":
	{
		[_unit, "","kk"] call _fnc_BUMchangeClothes;
		_items = ["Binocular"];
		_magazines = [];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
	};

	Case "KKAS":
	{
		[_unit, "",""] call _fnc_BUMchangeClothes;
		_items = ["Binocular"];
		_magazines = [];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;

	};

	Case "RPG":
	{
		[_unit, "rpg",""] call _fnc_BUMchangeClothes;
		_items = ["rhs_weap_rpg7"];
		_magazines = [["rhs_rpg7_PG7VL_mag",1],["rhs_rpg7_OG7V_mag",1],["rhs_rpg7_PG7VR_mag",1]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
	};

	Case "RPGAS":
	{
		[_unit, "","rpg"] call _fnc_BUMchangeClothes;
		_items = [];
		_magazines = [["rhs_rpg7_PG7VL_mag",1],["rhs_rpg7_OG7V_mag",1],["rhs_rpg7_TBG7V_mag",1]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
	};


	Case "RIF":
	{
		[_unit, "",""] call _fnc_BUMchangeClothes;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
	};

		Case "Medic":
	{
		[_unit, "exp",""] call _fnc_BUMchangeClothes;
		_items = [];
		_magazines = [["rhs_mag_rdg2_white",4]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "medic"] Call _fnc_BUMaddMedicalSupplies;
	};

		Case "EXP":
	{
		[_unit, "exp",""] call _fnc_BUMchangeClothes;
		_items = [];
		_unit addVest "V_PlateCarrierH_CTRG";
		_magazines = [["rhs_mine_pmn2_mag",0],["IEDUrbanBig_Remote_Mag",1],["IEDLandBig_Remote_Mag",1],["IEDUrbanSmall_Remote_Mag",1],["IEDLandSmall_Remote_Mag",1],["ATMine_Range_Mag",1]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addItem "ACE_DefusalKit";
		_unit addItem "ACE_DeadManSwitch";
	};

		Case "GRE":
	{
		[_unit, "","gl"] call _fnc_BUMchangeClothes;
		_items = [];
		_magazines = [];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;

	};

		Case "Auto": //perus
	{
		_unit addMagazineCargoGlobal ["rhs_100Rnd_762x54mmR", 2];
		_unit addMagazineCargoGlobal ["rhs_10Rnd_762x54mmR_7N1", 3];
		_unit addMagazineCargoGlobal ["rhs_30Rnd_762x39mm", 10];
		_unit addMagazineCargoGlobal ["rhs_mag_rdg2_white",10];
		_unit addMagazineCargoGlobal ["rhs_mag_rgd5",6];
		_unit addItemCargoGlobal ["ACE_wirecutter",1];
		_unit addItemCargoGlobal ["ACE_bodyBag",10];
		_unit addItemCargoGlobal ["ACE_bloodIV_500",5];
		_unit addItemCargoGlobal ["ACE_fieldDressing",20];
		_unit addItemCargoGlobal ["ACE_Sandbag_empty",50];

	};

};


if (_unit isKindof "Man") then
{
		_magazines = [["rhs_mag_rgd5",2],["SmokeShell",3],["rhs_mag_m67",1],["rhs_mag_an_m8hc",2]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		_unit addItem "ACE_Cellphone";

};


